/*
   One process can execute several different programs.
*/
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
   if (argc < 2)
   {
      printf("Usage: %s needs an integer command-line argument.\n", argv[0]);
      return 0;
   }

   int mypid = getpid();
   printf("My pid = %d and I wrote this story.\n", mypid);

   execl("./Dr_Jekyll", "Dr_Jekyll", argv[argc-1], (char*)NULL);
   perror("execl failed");
   return 1;
}
