/*
   One process can execute several different programs.
*/
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
   if (argc < 2)
   {
      printf("Usage: %s needs an integer command-line argument.\n", argv[0]);
      return 0;
   }

   int mypid = getpid();
   printf("My pid = %d and I'm Dr. Jekyll.\n", mypid);

   int count = atoi( argv[argc-1] );
   if (0 < count)
   {
      sprintf(argv[argc-1], "%d", count - 1);
      execl("./Mr_Hyde", "Mr_Hyde", argv[argc-1], (char*)NULL);
      perror("execl failed");
      exit(1);
   }

   return 0;
}
